plugins {
    alias(libs.plugins.android.application)
}

android {
    namespace = "com.armcloud.appdemo"
    compileSdk = 34

    defaultConfig {
        applicationId = "com.armcloud.appdemo"
        minSdk = 26
        targetSdk = 34
        versionCode = 1
        versionName = "1.0"

        testInstrumentationRunner = "androidx.test.runner.AndroidJUnitRunner"
        externalNativeBuild {
            cmake {
                cppFlags += "-std=c++20"
                abiFilters.add("armeabi-v7a")
                abiFilters.add("arm64-v8a")
            }
        }
    }

    splits {
        abi {
            isEnable = true // 启用 abi splits
            reset()         // 清空默认架构
            include("armeabi-v7a", "arm64-v8a") // 仅包含指定的架构
            isUniversalApk = false // 不生成包含所有架构的通用 APK
        }
    }

    buildTypes {
        release {
            isMinifyEnabled = false
            proguardFiles(
                getDefaultProguardFile("proguard-android-optimize.txt"),
                "proguard-rules.pro"
            )
        }
    }
    compileOptions {
        sourceCompatibility = JavaVersion.VERSION_1_8
        targetCompatibility = JavaVersion.VERSION_1_8
    }

    externalNativeBuild {
        cmake {
            path = file("src/main/cpp/CMakeLists.txt")
            version = "3.22.1"
        }
    }


    packagingOptions {
        // 排除特定的冲突文件
        exclude("META-INF/io.netty.versions.properties")
        exclude("META-INF/INDEX.LIST")
    }
}

dependencies {

    implementation(libs.appcompat)
    implementation(libs.material)
    implementation(libs.activity)
    implementation(libs.constraintlayout)
    implementation("androidx.compose.material3:material3:1.2.0")

    implementation("net.armcloud.xscore:xscore:1.0.0")
    implementation("org.lsposed.hiddenapibypass:hiddenapibypass:4.3")
    // https://mvnrepository.com/artifact/io.netty/netty-all
    implementation("io.netty:netty-all:4.1.97.Final")

}